#!/bin/sh
# earth.sh
#  Wrapper for earth.rb
#
RUBY=/usr/local/bin/ruby

DIR=$(expr $0 : "\([/\.].*\)/earth\.sh\$")
EARTH_RB=${DIR}/earth.rb
SETTING=${DIR}/earth_setting.rb
export RUBYLIB=${RUBYLIB}:${DIR}

LOG_DIR=${DIR}/log
SPOOL_DIR=${DIR}/spool
DB_DIR=${DIR}/db

LOG=${LOG_DIR}/wrapperlog

for i in ${LOG_DIR} ${SPOOL_DIR} ${DB_DIR}
do
	if [ ! -d $i ]; then
		mkdir -p -m 700 $i
	fi
done

if [ -x ${RUBY} -a -f ${EARTH_RB} -a -f ${SETTING} ]; then
	${RUBY} ${EARTH_RB} $* 2>> ${LOG}
fi

exit 0
