=begin

earth_func.rb

Function for E-mail's Another Rule's Transfer Helper
Copyright (C) 2001-2003 Masaharu FUJITA

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You may contact the author by:
        e-mail: m@fjts.org
        url: http://fjts.org/~m/Soft/Ruby/earth.rb/
=end

def special_squeeze(string,squeezechar)
  if string == nil
    return nil
  end

  tmp = string

  squeezechar.each_char do |ch|
    if ch == "$" or ch == "(" or ch == ")" or ch == "|" or ch == "^" \
      or ch == "{" or ch == "}" or ch == "[" or ch == "]" or ch == "+" \
      or ch == "*" or ch == "?" or ch == "."
      reg = Regexp.new('\\' + ch + '+')
    else
      reg = Regexp.new(ch + '+')
    end

    tmp = tmp.gsub(reg, ch)
  end # squeezechar.each_char do |ch|
  
  return tmp
end # def special_squeeze(string)

def multi2ascii(string)
  tmp = string.tr("-","0-9").tr("-","A-Z").tr("-","a-z")
  tmp = tmp.tr("", "~").tr("", "`").tr("", "!").tr("", "@")
  tmp = tmp.tr("", "#").tr("", "$").tr("", "%").tr("", "^")
  tmp = tmp.tr("", "&").tr("", "*").tr("", "(").tr("", ")")
  tmp = tmp.tr("", "-").tr("", "=").tr("", "_").tr("", "+")
  tmp = tmp.tr("", "\\").tr("", "|").tr("", ":").tr("", ";")
  tmp = tmp.tr("", "\"").tr("", "'").tr("", "<").tr("", ">")
  tmp = tmp.tr("", "?").tr("", "/").tr("", "[").tr("", "]")
  tmp = tmp.tr("", "{").tr("", "}").tr("", ",").tr("", ".")
  tmp = tmp.tr("", " ")

  return tmp
end # def multi2ascii(string)

def ascii2multi(string)
  tmp = string.tr("0-9","-").tr("A-Z","-").tr("a-z","-")
  tmp = tmp.tr("~", "").tr("`", "").tr("!", "").tr("@", "")
  tmp = tmp.tr("#", "").tr("$", "").tr("%", "").tr("$^", "")
  tmp = tmp.tr("&", "").tr("*", "").tr("(", "").tr(")", "")
  tmp = tmp.tr("-", "").tr("=", "").tr("_", "").tr("+", "")
  tmp = tmp.tr("\\", "").tr("|", "").tr(":", "").tr(";", "")
  tmp = tmp.tr("\"", "").tr("'", "").tr("<", "").tr(">", "")
  tmp = tmp.tr("?", "").tr("/", "").tr("[", "").tr("]", "")
  tmp = tmp.tr("{", "").tr("}", "").tr(",", "").tr(".", "")
  tmp = tmp.tr(" ", "")

  return tmp
end # def ascii2multi(string)
